org.apache.xmlgraphics.ps.dsc

## Interface DSCListener

- All Known Implementing Classes:
    DefaultNestedDocumentHandler, FilteringEventListener

      public interface DSCListener

  Listener interface for the DSC parser. It can be used to be notified

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `processEvent(DSCEvent event, DSCParser parser)` Called for each DSC event.

- - ### Method Detail

    - #### processEvent

          void processEvent(DSCEvent event,
                            DSCParser parser)
                     throws java.io.IOException,
                            DSCException

      Called for each DSC event. You can call methods on the DSC parser to skip comments, for example. But implementations need to be good citizens and take into account that multiple listeners can be active at the same time and that they might interfere with other listeners. When returning from the call, state information such as filters should be restored.
      Parameters:
        `event` - the DSC event
        `parser` - the DSC parser
      Throws:
        `java.io.IOException` - if an I/O error occurs
        `DSCException` - if a DSC-specific error occurs

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.